Bug 59084 - gcc-3.1-0.18 ICE with -fssa-ccp
gcc-3.1-0.18 ICE with -fssa-ccp
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-30 13:44 EST by Valdis Kletnieks
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-30 13:45:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Source code for -fssa-ccp ICE (20.25 KB, application/octet-stream)
2002-01-30 13:45 EST, Valdis Kletnieks
no flags Details

  None (edit)
Description Valdis Kletnieks 2002-01-30 13:44:37 EST
Description of Problem: Compiler gets an ICE with the attached source


Version-Release number of selected component (if applicable):
gcc-3.1-0.18

How Reproducible: Compile the attached source file with given flags


Steps to Reproduce:
1. gunzip ssa-botch-1.i.gz
2. gcc -c  -O3 -fomit-frame-pointer -fno-exceptions -fno-rtti -pipe -s
-mcpu=i686 -march=i686 -ffast-math -fexpensive-optimizations -mmmx -msse -fssa
-fssa-ccp  ssa-botch-1.i

3. Watch the abort happen

Actual Results:
[~]2 gcc -c  -O3 -fomit-frame-pointer -fno-exceptions -fno-rtti -pipe -s
-mcpu=i686 -march=i686 -ffast-math -fexpensive-optimizations -mmmx -msse -fssa
-fssa-ccp  ssa-botch-1.i 
/home/valdis/src/xemacs-21.5/lib-src/gnuslib.c: In function
`connect_to_internet_server':
/home/valdis/src/xemacs-21.5/lib-src/gnuslib.c:301: Internal compiler error in
ix86_match_ccmode, at config/i386/i386.c:6919
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
[~]2 gcc -c  -O3 -fomit-frame-pointer -fno-exceptions -fno-rtti -pipe -s
-mcpu=i686 -march=i686 -ffast-math -fexpensive-optimizations -mmmx -msse -fssa 
ssa-botch-1.i 
[~]2

Expected Results:
A completed compilation

Additional Information:  Code compiles if -fssa-ccp is omitted.
Comment 1 Valdis Kletnieks 2002-01-30 13:45:38 EST
Created attachment 43997 [details]
Source code for -fssa-ccp ICE
Comment 2 Jakub Jelinek 2002-02-06 11:33:24 EST
Fixed in gcc-3.1-0.21.

Note You need to log in before you can comment on or make changes to this bug.